
<script type="text/javascript">
	window.addEvent('domready', function(){	
		<? if ( $this->use_epg ): ?>
			window.location = "<?= $this->redirect_url; ?>";
		<? elseif ( $this->use_ivr ): ?>
			$('page').addClass('loading')
			$('classifieds').setStyle('visibility', 'hidden')
			window.location = "<?= $this->redirect_url; ?>";
		<? elseif ( $this->use_postfinance ): ?>
			$('page').addClass('loading')
			$('classifieds').setStyle('visibility', 'hidden')
			$('form1').getElement('input[type="submit"]').click();
			return false;
		<? elseif ( $this->use_twispay ): ?>
			$('page').addClass('loading')
			$('classifieds').setStyle('visibility', 'hidden')
			$('twispay-payment-form').getElement('input[type="submit"]').click();
			return false;
		<? endif; ?>
		switchUploadButton();

		if ( typeof(tinyMCE) !== 'undefined' ) {
			tinyMCE.init({
				mode : "exact",
				elements: "txt",
				theme : "advanced",
				plugins: "emotions,advhr,preview,paste",
				theme_advanced_toolbar_location	  : "top",
				theme_advanced_toolbar_align	  : "left",
				editor_selector : 'about-field',
				theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,undo,redo,|,pastetext,pasteword,fullscreen,emotions,preview",
				theme_advanced_buttons2 : "",
				theme_advanced_buttons3_add : "",
				remove_script_host : false,
				relative_urls : false,
				convert_urls : false
			});
		}
		function switchUploadButton(){
			var photosCount = $$('.c-img').length
			if(photosCount == 3){
				if(!$('upload-btn').hasClass('disabled')){
					$('upload-btn').addClass('disabled');
					$('photo-input').setAttribute('disabled', 'disabled');
				}
			} else{
				if($('upload-btn').hasClass('disabled')){
					$('upload-btn').removeClass('disabled');
					$('photo-input').removeAttribute('disabled');
				}
			}
		}

		function removePhoto(item){
			var id = item.getAttribute('data-id')
			var req = new Request.JSON({
				method: 'get',
				url: '/classified-ads/ajax-remove-photo?image_id=' + id,
				onComplete: function(resp) {
					if ( resp.status == 'success' ) {
						item.getParent('.photo').destroy();
						switchUploadButton();
					} else {
						console.log('axmax gyada')
					}
				}
			}).send();
		}

		var regionsLimit = 3;
		$$('.region-checkbox').addEvent('change', function(evt) {
			if($$('.region-checkbox:checked').length > regionsLimit) {
			   	this.set('checked',false);
			}
		});
		$$('.plan-input').addEvent('change', function(evt) {
			if(this.get('value') == 'free') {
			   	$$('.payment-method-input:checked').set('checked',false);
			   	$$('.payment-buttons').setStyle('display', 'none');
			} else{
			   	$$('.payment-buttons').setStyle('display', 'block');
			}
		});
		$('photo-input').addEvent('change', function(){
			var file = $('photo-input').files[0];
			var data = new FormData();
			data.append('image', file)
			var container = $('photos');
			var xmlHttp = new XMLHttpRequest();
	        xmlHttp.onreadystatechange = function()
	        {
	            if(xmlHttp.readyState == 4)
	            {
	            	var response = JSON.parse(xmlHttp.responseText)
	            	if(xmlHttp.status == 200 && response.status == 'success'){
	            		var div = new Element('div', {
							'class': 'photo',
						}).inject(container,'top');
						''
						var img = new Element('img', {
							'class': 'c-img',
							'src': response.url
						}).inject(div);

						var a = new Element('a',{
							'class': 'delete-photo',
							'data-id': response.id,
							'text': 'x'
						}).inject(div).addEvent('click', function(e){
							e.preventDefault();
							removePhoto(this);
						});

	            		switchUploadButton();
	            		console.log('success')
	            		$('photo-error').setStyle('display', 'none');

	            	} else{
	            		console.log('error')
	            		$('photo-error').set('text', response.msg);
	            		$('photo-error').setStyle('display', 'block');
	            	}
	            }
	        }
	        xmlHttp.open("POST", "/classified-ads/ajax-upload-photo", true); 
	        xmlHttp.send(data);  
		});

		$$('.delete-photo').addEvent('click', function(e){
			e.preventDefault();
			removePhoto(this);
			
		});

		
	})
</script>

<div class="classifieds-place current-ad">
	<? if ( isset($this->errors['top']) ): ?>
		<div class="block">
			<div class="alert error-alert">
				<p><?= $this->errors['top'] ?></p>
			</div>
		</div>
	<? endif; ?>

	<? if ( $this->use_postfinance ): ?>
		<?= $this->postfinance_form ?>
	<? endif; ?>
	<? if ( $this->use_twispay ): ?>
		<?= $this->twispay_form ?>
	<? endif; ?>

	<form method="POST">
		<div class="block mb-24">
			<label class="field-label"><?= __('ad_type')?></label>
			<label class="field-desc"><?= __('c_ads_field_desc_7')?></label>
			<div class="clear"></div>
			<? if ( isset($this->errors['plan']) ): ?><p class="err"><?= $this->errors['plan'] ?></p><? endif; ?>
			<div class="plan-buttons block">
				<label>
			      	<input type="radio" name="plan" value="1" id="paid_<?= $id ?>" class="plan-input" <?= (1 == $this->data['plan']) ? 'checked="checked"' : '' ?> >
					<div class="plan-button">
						<span class="clock-digit first-digit">24</span>
						<div class="plan-desc">
						  	<p><?=__('premium')?></p>
						  	<p>
						  		<span>24 <?=__('hours')?></span>
						  		<span class="price">CHF 20</span> 
							</p>
						</div>
					</div>
			   	</label>
			   	<label>
			      	<input type="radio" name="plan" value="2" class="plan-input" <?= (2 == $this->data['plan']) ? 'checked="checked"' : '' ?> >
					<div class="plan-button">
						<span class="clock-digit">3</span>
						<div class="plan-desc">
						  	<p><?=__('premium')?></p>
						  	<p>
						  		<span>3 <?=__('days')?></span>
						  		<span class="price">CHF 50</span> 
							</p>
						</div>
					</div>
			   	</label>
			   	
			</div>
			<?php if($this->data['plan'] == 'free'):?>
				<div class="payment-buttons block" style="display: none;">
			<?php else:?>
				<div class="payment-buttons block" >
			<?php endif;?>
				<? if ( isset($this->errors['payment_method']) ): ?><p class="err"><?= $this->errors['payment_method'] ?></p><? endif; ?>	
				
				<?/*<label>
			      	<input type="radio" name="payment_method" value="epg"<?= ('epg' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
			      	<div class="field-input">
				      	<span class="circle">
							<span class="disk"></span>
						</span>
				      	<?= __('payment_method_epg')?>
			      	</div>
			   	</label> */?>
			 	<? if(in_array('pf',$this->activ_payments)):?>
					<label>
				      	<input type="radio" name="payment_method" value="postfinance" <?= ('postfinance' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>		
							</span>
					      	<?= __('payment_method_postfinance')?>
					      		
			      		</div>
				   	</label>
			   <? endif; ?>

			    <? if( in_array('twp',$this->activ_payments) ):?>
				    <label>
				      	<input type="radio" name="payment_method" value="twispay" <?= ('twispay' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>		
							</span>
					      	<?= __('payment_method_twispay')?>
					      		
			      		</div>
				   	</label> 
			   	 <? endif; ?>

			   	<? if(in_array('tel',$this->activ_payments)):?>
					<label>
				      	<input type="radio" name="payment_method" value="phone" <?= ('phone' == $this->data['payment_method']) ? 'checked="checked"' : '' ?>  class="payment-method-input">
				      	<div class="field-input">
				      		<span class="circle">
								<span class="disk"></span>
							</span>
					      	<?= __('payment_method_phone')?>
					      		
			      		</div>
				   	</label>
			   	<? endif; ?>

			   	<div class="clear"></div>
			</div>
			<div class="block form-buttons">
				<button type="submit" class="pink-btn submit-btn"><?= __('place_ad')?></button>
				<a href="<?= $this->getLink('classified-ads-index') ?>" class="grey-btn cancel-btn"><?= __('cancel')?></a>
			</div>
		</div>
	</form>
</div>
